Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.spatial
Interface GridSpatialRepresentation

All Superinterfaces:
  SpatialRepresentation

All Known Subinterfaces:
  Georectified, Georeferenceable

    @UML(identifier="MD_GridSpatialRepresentation",
         specification=ISO_19115)
    public interface GridSpatialRepresentation

extends SpatialRepresentation

Basic information required to uniquely identify a resource or resources.

Since:
  GeoAPI 2.0

Method Summary
`List<? extends Dimension>` | `getAxisDimensionsProperties()` Information about spatial-temporal axis properties.
`CellGeometry` | `getCellGeometry()` Identification of grid data as point or cell.
`Integer` | `getNumberOfDimensions()` Number of independent spatial-temporal axes.
`boolean` | `isTransformationParameterAvailable()` Indication of whether or not parameters for transformation exists.

Method Detail

### getNumberOfDimensions

    @UML(identifier="numberOfDimensions",
         obligation=MANDATORY,
         specification=ISO_19115)
    Integer getNumberOfDimensions()

  Number of independent spatial-temporal axes.

  Returns:
    Integer mandatory for valid content, may be null for an invalid document.

### getAxisDimensionsProperties

    @UML(identifier="axisDimensionsProperties",
         obligation=MANDATORY,
         specification=ISO_19115)
    List<? extends Dimension> getAxisDimensionsProperties()

  Information about spatial-temporal axis properties.

### getCellGeometry

    @UML(identifier="cellGeometry",
         obligation=MANDATORY,
         specification=ISO_19115)
    CellGeometry getCellGeometry()

  Identification of grid data as point or cell.

### isTransformationParameterAvailable

    @UML(identifier="transformationParameterAvailability",
         obligation=MANDATORY,
         specification=ISO_19115)
    boolean isTransformationParameterAvailable()

  Indication of whether or not parameters for transformation exists.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.